---
primaryTopic:
  Accounts:
    AccountCategory: TOTAL EXEMPTION FULL
    AccountRefDay: 31
    AccountRefMonth: 03
    LastMadeUpDate: 31/03/2024
    NextDueDate: 31/12/2025
  CompanyCategory: Private Limited Company
  CompanyName: BRANDON LAYZELL LTD
  CompanyNumber: 11888798
  CompanyStatus: Active
  CountryOfOrigin: United Kingdom
  IncorporationDate: 18/03/2019
  RegAddress:
    AddressLine1: 64 DURDANS HOUSE, FARRIER STREET,
    AddressLine2: CAMDEN TOWN
    PostTown: LONDON
    Country: UNITED KINGDOM
    Postcode: NW1 9RB
  Returns:
    LastMadeUpDate: 17/03/2024
    NextDueDate: 31/03/2025
  SICCodes:
    SicText:
      - '73110 - Advertising agencies'
      - '74100 - Specialised design activities'
